gnutls_pkcs11_obj_get_type(3)

NAME
gnutls_pkcs11_obj_get_type - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

gnutls_pkcs11_obj_type_t gnutls_pkcs11_obj_get_type(gnutls_pkcs11_obj_t obj);

ARGUMENTS

gnutls_pkcs11_obj_t obj
    Holds the PKCS 11 object

DESCRIPTION
This function will return the type of the object being stored in the structure.

RETURNS
The type of the object

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/